Summary:	Generic USB CCID smart card reader driver
Name:		ccid
Version:	1.4.33
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
URL:		https://ccid.apdu.fr

Source0:	https://ccid.apdu.fr/files/%{name}-%{version}.tar.bz2
Patch0:		ccid-libtool_fixes.diff

BuildRequires:	pkgconfig(libpcsclite)
BuildRequires:	pkgconfig(libusb-1.0)

Requires:	pcsc-lite

%description
Generic USB CCID (Chip/Smart Card Interface Devices) driver for use with the
PC/SC Lite daemon.


%prep
%autosetup -p1


%build
./bootstrap
%configure --enable-twinserial

%make_build


%install
%make_install
cp -p src/openct/LICENSE LICENSE.openct
cp -f src/towitoko/README README.towitoko

# conf file should be placed inside reader.conf.d
mkdir -p %{buildroot}%{_sysconfdir}/reader.conf.d
mv -f %{buildroot}%{_sysconfdir}/reader.conf.d/libccidtwin %{buildroot}%{_sysconfdir}/reader.conf.d/GemPCTwin-serial.conf

%post
/usr/bin/systemctl try-restart pcscd.service > /dev/null 2>&1


%postun
/usr/bin/systemctl try-restart pcscd.service > /dev/null 2>&1


%files
%doc AUTHORS ChangeLog README.md README.towitoko
%license COPYING LICENSE.openct
%config(noreplace) %{_sysconfdir}/reader.conf.d/*.conf
%{_libdir}/pcsc/drivers/ifd-ccid.bundle/
%{_libdir}/pcsc/drivers/serial/


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 1.4.33-2.mga9
+ Revision: 1832257
- Mageia 9 Mass Rebuild

* Tue Aug 11 2020 sander85 <sander85> 1.4.33-1.mga8
+ Revision: 1613232
- New version: 1.4.33

* Sat Feb 22 2020 daviddavid <daviddavid> 1.4.31-1.mga8
+ Revision: 1549358
- new version: 1.4.31

* Fri Feb 14 2020 umeabot <umeabot> 1.4.30-2.mga8
+ Revision: 1520244
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Wed Nov 14 2018 sander85 <sander85> 1.4.30-1.mga7
+ Revision: 1329935
- New version: 1.4.30

* Sat Sep 22 2018 umeabot <umeabot> 1.4.29-2.mga7
+ Revision: 1296001
- Mageia 7 Mass Rebuild

* Sat Feb 24 2018 sander85 <sander85> 1.4.29-1.mga7
+ Revision: 1204811
- New version: 1.4.29

* Sat Nov 04 2017 sander85 <sander85> 1.4.28-1.mga7
+ Revision: 1175842
- New version: 1.4.28

* Mon Jul 17 2017 sander85 <sander85> 1.4.27-1.mga7
+ Revision: 1124133
- New version: 1.4.27

* Sun May 22 2016 sander85 <sander85> 1.4.24-1.mga6
+ Revision: 1017565
- New version: 1.4.24

* Mon May 02 2016 sander85 <sander85> 1.4.23-1.mga6
+ Revision: 1008739
- New version: 1.4.23

* Sat Jan 16 2016 sander85 <sander85> 1.4.22-1.mga6
+ Revision: 924683
- New version: 1.4.22

* Sun Nov 01 2015 sander85 <sander85> 1.4.21-1.mga6
+ Revision: 897133
- New version: 1.4.21

* Wed Aug 05 2015 sander85 <sander85> 1.4.20-1.mga6
+ Revision: 861266
- New version: 1.4.20

* Wed Oct 15 2014 umeabot <umeabot> 1.4.17-4.mga5
+ Revision: 738818
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1.4.17-3.mga5
+ Revision: 693579
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.4.17-2.mga5
+ Revision: 678327
- Mageia 5 Mass Rebuild
+ sander85 <sander85>
- Convert to %%autosetup

* Wed Jun 11 2014 sander85 <sander85> 1.4.17-1.mga5
+ Revision: 635597
- New version: 1.4.17

* Sun Mar 23 2014 sander85 <sander85> 1.4.16-1.mga5
+ Revision: 607006
- New version: 1.4.16

* Tue Feb 04 2014 sander85 <sander85> 1.4.14-1.mga5
+ Revision: 580591
- New version: 1.4.14

* Mon Oct 21 2013 umeabot <umeabot> 1.4.13-2.mga4
+ Revision: 540666
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 sander85 <sander85> 1.4.13-1.mga4
+ Revision: 494154
- New version: 1.4.13

* Wed Aug 14 2013 sander85 <sander85> 1.4.12-1.mga4
+ Revision: 466473
- New version: 1.4.12

* Wed Jun 26 2013 sander85 <sander85> 1.4.10-1.mga4
+ Revision: 447274
- New version: 1.4.10

* Fri Jan 11 2013 umeabot <umeabot> 1.4.8-2.mga3
+ Revision: 347446
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 09 2012 sander85 <sander85> 1.4.8-1.mga3
+ Revision: 303917
- New version: 1.4.8

* Sat Jul 21 2012 sander85 <sander85> 1.4.7-1.mga3
+ Revision: 273132
- new version: 1.4.7

* Mon Jan 09 2012 sander85 <sander85> 1.4.5-1.mga2
+ Revision: 194249
- new version: 1.4.5 (spec synced with fedora)

* Sat Apr 23 2011 anssi <anssi> 1.4.1-2.mga1
+ Revision: 89924
- remove invalid GROUP entries from udev rules
- do not call update-reader.conf in post (it has been removed as no
  longer needed)

* Fri Apr 22 2011 ennael <ennael> 1.4.1-1.mga1
+ Revision: 89726
- clean spec file
- imported package ccid


* Sat Jan 01 2011 Anssi Hannula <anssi@mandriva.org> 1.4.1-1mdv2011.0
+ Revision: 627058
- new version
- move udev conf file into /lib/udev, removing noreplace
- bump requirement on pcsc-lite

* Mon Aug 16 2010 Emmanuel Andry <eandry@mandriva.org> 1.4.0-1mdv2011.0
+ Revision: 570517
- New version 1.4.0
- rediff p0

* Sun Aug 02 2009 Emmanuel Andry <eandry@mandriva.org> 1.3.11-1mdv2010.0
+ Revision: 407553
- New version 1.3.11

* Sun Mar 08 2009 Frederik Himpe <fhimpe@mandriva.org> 1.3.10-1mdv2010.0
+ Revision: 353018
- Update to new version 1.3.10

* Sun Feb 15 2009 Frederik Himpe <fhimpe@mandriva.org> 1.3.9-1mdv2009.1
+ Revision: 340650
- Update to new 1.3.9 version
- Rediff libtool fixes

* Sat Oct 25 2008 Frederik Himpe <fhimpe@mandriva.org> 1.3.8svn3179-1mdv2009.1
+ Revision: 297229
- Update to svn snapshot, which supports more readers (for example
  Broadcom 5800)
- Don't package Makefile* in /usr/share/doc/ccid/

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.8-2mdv2009.0
+ Revision: 229728
- rebuilt due to bs problems
- 1.3.8
- added P0 to make it build with our libtool
- spec file massage

* Fri May 02 2008 Funda Wang <fwang@mandriva.org> 1.3.6-1mdv2009.0
+ Revision: 200029
- New version 1.3.6

* Thu Apr 24 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.3.5-1mdv2009.0
+ Revision: 197111
- new version 1.3.5
- licensing policy compliance

* Thu Mar 13 2008 Andreas Hasenack <andreas@mandriva.com> 1.3.0-2mdv2008.1
+ Revision: 187682
- rebuild for 2008.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 28 2007 Andreas Hasenack <andreas@mandriva.com> 1.3.0-1mdv2008.0
+ Revision: 32037
- updated to version 1.3.0


* Wed Mar 07 2007 Andreas Hasenack <andreas@mandriva.com> 1.2.1-1mdv2007.1
+ Revision: 134383
- updated to version 1.2.1
- enabled udev support
- adjusted buildrequires for pcsc-lite

* Mon Nov 06 2006 Andreas Hasenack <andreas@mandriva.com> 1.1.0-1mdv2007.1
+ Revision: 77008
- updated to version 1.1.0
- Import ccid

* Fri Apr 28 2006 Andreas Hasenack <andreas@mandriva.com> 1.0.1-1mdk
- updated to version 1.0.1

* Mon Mar 13 2006 Andreas Hasenack <andreas@mandriva.com> 1.0.0-1mdk
- packaged for Mandriva

